#!/bin/bash
DEFAULT_JAVA_DIR=/usr/lib/jvm/default-java
VM_JAVA="$(readlink -f /etc/alternatives/java |cut -d "/" -f 5)"
JAVA_DIRECTORY="$(readlink -f /etc/alternatives/java |cut -d "/" -f -4)"
if [[ -L /etc/alternatives/java ]];then
	if [[ ! -e $DEFAULT_JAVA_DIR  ]]; then
		cd "$JAVA_DIRECTORY" ||exit
		ln -s "$VM_JAVA" "./default-java"
	else
		if [[ -L $DEFAULT_JAVA_DIR ]]; then
			unlink $DEFAULT_JAVA_DIR
		elif [[ -d $DEFAULT_JAVA_DIR ]]; then
			rmdir $DEFAULT_JAVA_DIR
		else
			rm $DEFAULT_JAVA_DIR
		fi
                cd "$JAVA_DIRECTORY" || exit
                ln -s "$VM_JAVA" "./default-java"
	fi
fi
